org.apache.ignite.internal.util.lang

## Class IgniteInClosure2X<E1,E2>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgniteInClosure2X<E1,E2>

All Implemented Interfaces:
  Serializable, IgniteBiInClosure<E1,E2>

Direct Known Subclasses:
  CIX2

    public abstract class IgniteInClosure2X<E1,E2>
    extends Object
    implements IgniteBiInClosure<E1,E2>

Convenient in-closure subclass that allows for thrown grid exception. This class implements `apply(Object, Object)` method that calls `applyx(Object, Object)` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `CIX2`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteInClosure2X()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `apply(E1 e1, E2 e2)` Closure body.
`abstract void` `applyx(E1 e1, E2 e2)` In-closure body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteInClosure2X

    public IgniteInClosure2X()

### Method Detail

#### apply

    public void apply(E1 e1,
                      E2 e2)

Closure body.

Specified by:
  `apply` in interface `IgniteBiInClosure<E1,E2>`
Parameters:
  `e1` - First parameter.
  `e2` - Second parameter.

#### applyx

    public abstract void applyx(E1 e1,
                                E2 e2)
                         throws IgniteCheckedException

In-closure body that can throw `IgniteCheckedException`.

Parameters:
  `e1` - First variable the closure is called or closed on.
  `e2` - Second variable the closure is called or closed on.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the closure.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020